How to reinstal ISPconfig 3.1 on Ubuntu 16.04

Discussion in 'Installation/Configuration' started by edi00, Apr 2, 2017.

  1. edi00

    edi00 Member

    I have successfully updated ISPC to 3.1 and it was working.
    However, now for no apparent reason I am getting error
    I would like to reinstall it but it does not allow me to do that because it see ISPC instaled.

    In addition when I was installing ISPC 3.1 it automaticaly created back up but I cant find nowhere how to restore old version from that back up.
    Please help
     
  2. ahrasis

    ahrasis Active Member

    You can try to use the same ispconfig_update.sh with git-stable if you are on 3.1.2 already or choose stable, if you are on 3.1-dev.
     
  3. edi00

    edi00 Member

    Thanks ahrasis!
    Your suggestion worked, however, it didn't fix the "Internal Server Error"
    So I need some more help!
     
  4. ahrasis

    ahrasis Active Member

    Can you restart your nginx/apache? What is your error log says?
     
  5. edi00

    edi00 Member

    I have reset Apache and check all relevant error.logs and nothing there.
    This is rely strange.
    I am tempted to purge ISPC but I would lose everything
    I have two 16.04 servers and on one it works perfect and here it does not.
    Emails do work but sites not. Of curse, I cant debug that until I get ISPC going
    I have done: apt-get update; apt-get upgrade; apt-get autoremove; reboot;
    and nothing.
     
  6. edi00

    edi00 Member

    Actually I think I have found problem in the /var/log/apache2/error.log:
    Code:
    .php-fcgi-starter: line 6: /usr/bin/php-cgi: No such file or directory
    [Mon Apr 03 03:16:13.984867 2017] [fcgid:warn] [pid 3640] (104)Connection reset by peer: [client 23.240.50.56:52847] mod_fcgid: error reading data from FastCGI server
    [Mon Apr 03 03:16:13.984915 2017] [core:error] [pid 3640] [client 23.240.50.56:52847] End of script output before headers: index.php
    
    However, I am not sure I know how to fix it
     
  7. edi00

    edi00 Member

    [SOLVED] by complete installation of the PHP-7 see https://tecadmin.net/install-php-7-on-ubuntu/

    Now I need to debug sites.
     
    ahrasis likes this.

Share This Page